<?xml version="1.0" encoding="UTF-8"?>
<scenario begin="StepOne">
    
    <screen id="StepOne" type="group" title="Introduceti numarul de inmatriculare">
        <fields>
            <text-field id="id1" keyboard="any:[en]:upper:false" max-len="12" title="Numar auto">
                <validator type="regex">
                    <rules>
                        <rule regex="^.*$"/>
                    </rules>
                </validator>
            </text-field>
        </fields>
        <actions>
            <action type="Next">
                <goto target="StepTwo"/>
            </action>
            <action type="Prev">
                <goto target="previous"/>
            </action>
            <action type="Exit">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    
    <screen id="StepTwo" type="selector" title="Selectati parcarea">
        <fields>
            <selector-field id="id2" title="Parcarea">
                <items type="static">
                    <item title="Berceni" value="1"/>
                    <item title="Brancoveanu" value="2"/>
                    <item title="Cutitul de argint" value="3"/>
                    <item title="Giurgiului" value="4"/>
                    <item title="Gramont" value="5"/>
                    <item title="Luica" value="6"/>
                    <item title="Nitu Vasile" value="7"/>
                </items>
            </selector-field>
        </fields>
        <actions>
            <action type="Next">
                <goto target="ConfirmPage"/>
            </action>
            <action type="Prev">
                <goto target="StepOne"/>
            </action>
            <action type="Exit">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    
    <screen id="ConfirmPage" type="confirm" title="Verificati corectitudinea datelor introduse">
        <fields list="id1,id2"/>
        <actions>
            <action type="Next">
                <goto target="pay"/>
            </action>
            <action type="Prev">
                <goto target="StepOne"/>
            </action>
            <action type="Exit">
                <goto target="exit"/>
            </action>
        </actions>
    </screen>
    
</scenario>
